server:
  port: 9111
spring:
  profiles:
    active: dev
  application:
    name: @artifactId@
  datasource:
    dynamic:
      primary: master #设置默认的数据源，默认值为master
      strict: false   #是否弃用严格模式，如果启用在味匹配到指定数据源时抛出异常
      datasource:
        master:
          url: jdbc:log4jdbc:mysql://db.docus.cn:3306/docus_archivefile?autoReconnect=true&allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
          username: docus
          password: docus702
          driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
          type: com.alibaba.druid.pool.DruidDataSource
        his:
          url: jdbc:log4jdbc:mysql://db.docus.cn:3306/docus_archivefile?autoReconnect=true&allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
          username: docus
          password: docus702
          driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
          type: com.alibaba.druid.pool.DruidDataSource


  redis:
    host: redis.docus.cn
    password: JSdocus@702
  cloud:
    nacos:
      discovery:
        server-addr: nacos.docus.cn
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
        file-extension: yml
        shared-configs:
          - comm.${spring.cloud.nacos.config.file-extension}


docus:
  dbtype: mysql

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    call-setters-on-nulls: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      field-strategy: NOT_EMPTY
      db-type: MYSQL
xxl:
  job:
    accessToken:
    admin:
      addresses: http://job.docus.cn:8180/xxl-job-admin
    executor:
      appname: docus-inspection
      address:
      ip:
      port: 17781
      logretentiondays: 30
      logpath: D:/xxl-job/inspection

#
#ibm:
#  mq:
#    queueManager: MqManager01
#    channel: chl_server01
#    connName: 10.222.23.130(1414)
#    ackUrl: 10.222.23.159:7800/ack
#    domain: CDR
#    key: cdr-0012-adef
#    replica:
#      queueManager: MqManager02
#      channel: chl_server02
#      connName: 10.222.23.131(1414)